> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update specific fields of a user's account. Certain restrictions apply when Company_Verified is true.

Update specific fields of a user's account. Requires Administrative access.


## OpenAPI

````yaml PATCH /api/v1/users/{id}
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/users/{id}:
    patch:
      tags:
        - User Management
      summary: Update user
      description: >-
        Update specific fields of a user's account. Certain restrictions apply
        when Company_Verified is true.
      operationId: patch-user-by-id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                Name:
                  type: string
                Surname:
                  type: string
                Company_Name:
                  type: string
                Company_Verified:
                  type: boolean
                Permission:
                  type: string
                Phone:
                  type: string
                Address:
                  type: string
                JobTitle:
                  type: string
      responses:
        '200':
          description: User updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              examples:
                success:
                  value:
                    message: User updated successfully.
        '403':
          description: Permission denied.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````